 Video Release Tooling
=======================

## Ein Tool zur verarbeitung vom Streamdump zum media.ccc.de Release

### 📝 Beschreibung
Dieses Skript hilft dabei, automatisch das richtige Intro- und Outro-File sowie die passenden Teile einer chunked Aufnahme auszuwählen (z. B. OBS mit automatischem Split alle 5 Minuten).

**Features:**
- Automatische Auswahl der relevanten Videodateien
- Vorschau der ersten und letzten Datei in `mpv`
- Manuelle Eingabe der Start- und Endpunkte zur Feinanpassung
- Automatische Zusammenfügung mit Intro und Outro
- Audio-Normalisierung für das finale Video

Es wird angenommen, dass Intros und Outros als Bilder oder Video verfügbar sind.
Außerdem wurde der Stream in Snippets recorded.

### 🛠️ Voraussetzungen
Das Skript setzt die folgenden Abhängigkeiten voraus:
- `ffmpeg`
- `fzf`
- `mpv` (optional, für die Vorschau)

### ⚙️ Installation

Stelle sicher, dass `ffmpeg` und `fzf` installiert sind:
```bash
sudo apt install ffmpeg fzf   # Debian/Ubuntu
brew install ffmpeg fzf       # macOS (Homebrew)
yay -S ffmpeg fzf             # Arch Linux (AUR)
```

### 🛠️ Nutzung

1. Bereite die Ordner mit Intos, Outros und Snippets vor
2. Führe das Skript aus:
  ```bash
  ./render-chunks.sh
  ```
3. Wähle intro, outro und die releavanten Videodateien aus.
3. Nutze `mpv`, um die Start- und Endpunkte zu bestimmen.
4. Gib diese Werte im Skript an.
5. Warte, bis das finale Video gerendert wurde.

### 👨👩👦 Autoren

- thunfisch
- iiidefix
- L3D

### ⚖️ Lizenz

Dieses Projekt steht unter der **[MIT-Lizenz](LICENSE)**.
